Package org.apache.tomcat.websocket

## Interface ClientEndpointHolder

All Known Implementing Classes:
  `EndpointClassHolder`, `EndpointHolder`, `PojoClassHolder`, `PojoHolder`

    public interface ClientEndpointHolder

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getClassName()`
`Endpoint` `getInstance​(InstanceManager instanceManager)`

### Method Detail

#### getClassName

    String getClassName()

#### getInstance

    Endpoint getInstance​(InstanceManager instanceManager)
                  throws DeploymentException

Throws:
  `DeploymentException`